# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate sysinfo

Name:           rust-%{crate}
Version:        0.15.9
Release:        2%{?dist}
Summary:        Library to get system information such as processes, processors, disks, components and networks

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/sysinfo
Source:         %{crates_source}
# Initial patched metadata
# * No Windows deps
# * No Mac OS deps
Patch0:         sysinfo-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Library to get system information such as processes, processors, disks,
components and networks.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+c-interface-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c-interface-devel %{_description}

This package contains library source intended for building other packages
which use "c-interface" feature of "%{crate}" crate.

%files       -n %{name}+c-interface-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages
which use "debug" feature of "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+multithread-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multithread-devel %{_description}

This package contains library source intended for building other packages
which use "multithread" feature of "%{crate}" crate.

%files       -n %{name}+multithread-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages
which use "rayon" feature of "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# https://github.com/GuillaumeGomez/sysinfo/issues/300
%cargo_test -- -- --skip test_disks
%endif

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.9-1
- Update to version 0.15.9.
- Fixes RHBZ#1915951

* Tue Jan 12 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.8-1
- Update to version 0.15.8.
- Fixes RHBZ#1915036

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.7-1
- Update to version 0.15.7.
- Fixes RHBZ#1914578

* Sat Jan 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.6-1
- Update to version 0.15.6.
- Fixes RHBZ#1913228

* Mon Jan 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-1
- Update to version 0.15.4.
- Fixes RHBZ#1911919

* Sun Dec 27 11:19:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.3-1
- Update to 0.15.3 (Fixes: RHBZ#1855975)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.14.11-1
- Update to 0.14.11

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 0.14.5-1
- Update to 0.14.5

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 0.14.2-1
- Update to 0.14.2

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.14.1-1
- Update to 0.14.1

* Wed Apr 15 08:46:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Tue Mar 24 06:45:06 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Thu Mar 12 2020 Josh Stone <jistone@redhat.com> - 0.11.7-1
- Update to 0.11.7

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.11.6-1
- Update to 0.11.6

* Fri Mar 06 2020 Josh Stone <jistone@redhat.com> - 0.11.5-1
- Update to 0.11.5

* Thu Mar 05 2020 Josh Stone <jistone@redhat.com> - 0.11.4-1
- Update to 0.11.4

* Wed Feb 26 11:59:27 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.3-1
- Update to 0.11.3

* Thu Feb 13 05:17:21 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.2-1
- Update to 0.11.2

* Mon Feb 10 22:04:53 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.1-1
- Update to 0.11.1

* Sat Feb 08 23:58:50 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 19:57:32 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.5-1
- Update to 0.10.5

* Mon Jan 06 08:24:39 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.4-1
- Update to 0.10.4

* Sat Dec 21 01:11:12 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.3-1
- Update to 0.10.3

* Fri Dec 13 18:40:36 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.2-2
- Enable tests

* Thu Dec 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.2-1
- Update to 0.10.2

* Mon Nov 25 07:57:54 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.6-1
- Initial package
